/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { MonitoringContext } from "@fluidframework/telemetry-utils/internal";
import { IContainerRuntimeMetadata } from "../summary/index.js";
import { IGCRuntimeOptions, IGarbageCollectorConfigs } from "./gcDefinitions.js";
/**
 * Generates configurations for the Garbage Collector that it uses to determine what to run and how.
 * @param mc - The monitoring context for reading configs from the config provider.
 * @param createParams - The creation params:
 * gcOptions - The garbage collector runtime options.
 * metadata - The container runtime's createParams.metadata.
 * existing - Whether the container is new or an existing one.
 * @returns The garbage collector configurations.
 */
export declare function generateGCConfigs(mc: MonitoringContext, createParams: {
    gcOptions: IGCRuntimeOptions;
    metadata: IContainerRuntimeMetadata | undefined;
    existing: boolean;
    isSummarizerClient: boolean;
}): IGarbageCollectorConfigs;
//# sourceMappingURL=gcConfigs.d.ts.map